MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027931Open CASCADE[OCCT] OCCT:Codingpublic2016-10-05 10:132016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027931: Coding rules, Precision.hxx - eliminate dead code within PRECISION_OBSOLETE macros
DescriptionThe following code within Precision.lxx contains the code within PRECISION_OBSOLETE macros that is never used:
inline Standard_Real  Precision::Angular()
{
#ifdef PRECISION_OBSOLETE
  static const Standard_Real Precision_Angular        = 1.e-12;
  return Precision_Angular;
#else
  return 1.e-12;
#endif
}


This code should be eliminated.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0058426)
git (administrator)
2016-10-05 13:52

Branch CR27931 has been created by kgv.

SHA-1: a69ba8439523ae2c32c5194ec0d2a35b87ce8dde


Detailed log of new commits:

Author: kgv
Date: Wed Oct 5 13:52:48 2016 +0300

    0027931: Coding rules, Precision.hxx - eliminate dead code within PRECISION_OBSOLETE macros
(0058428)
kgv (developer)
2016-10-05 13:53

Patch is ready for review.
(0058620)
abv (manager)
2016-10-12 15:09

No remarks, please test
(0058627)
git (administrator)
2016-10-12 17:03

Branch CR27931 has been updated forcibly by apv.

SHA-1: 34fd8a945edd89524b0421e0200b3a5d998ad606
(0058628)
apv (tester)
2016-10-12 17:04

Branch CR27931 has been rebased on the current master
(0058639)
apv (tester)
2016-10-13 09:57

Dear BugMaster,

Branch CR27931 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 34fd8a945edd89524b0421e0200b3a5d998ad606

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1126

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90639484 / 91123680 [-0.53%]
Total CPU difference: 19399.079999999904 / 19440.230000000018 [-0.21%]

Testing on Windows:
Total MEMORY difference: 57220603 / 57241724 [-0.04%]
Total CPU difference: 17964.38875559867 / 18173.586096598698 [-1.15%]
(0059465)
git (administrator)
2016-10-28 21:42

Branch CR27931 has been deleted by kgv.

SHA-1: 34fd8a945edd89524b0421e0200b3a5d998ad606
(0059763)
git (administrator)
2016-11-02 12:35

Branch CR27931 has been created by szy.

SHA-1: 2c29e3a9b01f0d5b4c060136a6886baaafa43c4d


Detailed log of new commits:

Author: szy
Date: Wed Nov 2 12:35:16 2016 +0300

    Merge branch 'CR27932_1' of git.dev.opencascade.org:occt into CR27932_1

Author: szy
Date: Wed Nov 2 12:31:41 2016 +0300

    0027932: Improvement of standard attributes usability.
    
    1.Adding missed test B5.

Author: szy
Date: Thu Oct 27 17:55:43 2016 +0300

    0027932: Improvement of standard attributes usability.
    
    Extension of simple standard attributes: Integer, Real, Name, AsciiString.
(0061206)
git (administrator)
2016-12-07 11:25

Branch CR27931 has been deleted by kgv.

SHA-1: 2c29e3a9b01f0d5b4c060136a6886baaafa43c4d

- Related Changesets
occt: master 922da0a8
Timestamp: 2016-10-05 10:52:48
Author: kgv
Committer: apn
Details ] Diff ]
0027931: Coding rules, Precision.hxx - eliminate dead code within PRECISION_OBSOLETE macros
mod - src/Precision/FILES Diff ] File ]
mod - src/Precision/Precision.hxx Diff ] File ]
rm - src/Precision/Precision.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-05 10:13 kgv New Issue
2016-10-05 10:13 kgv Assigned To => kgv
2016-10-05 13:52 git Note Added: 0058426
2016-10-05 13:53 kgv Note Added: 0058428
2016-10-05 13:53 kgv Assigned To kgv => abv
2016-10-05 13:53 kgv Status new => resolved
2016-10-12 15:09 abv Note Added: 0058620
2016-10-12 15:09 abv Assigned To abv => bugmaster
2016-10-12 15:09 abv Status resolved => reviewed
2016-10-12 16:28 apv Assigned To bugmaster => apv
2016-10-12 17:03 git Note Added: 0058627
2016-10-12 17:04 apv Note Added: 0058628
2016-10-13 09:55 apv Test case number => Not needed
2016-10-13 09:57 apv Note Added: 0058639
2016-10-13 09:57 apv Assigned To apv => bugmaster
2016-10-13 09:57 apv Status reviewed => tested
2016-10-20 15:13 apn Changeset attached => occt master 922da0a8
2016-10-20 15:13 apn Assigned To bugmaster => apn
2016-10-20 15:13 apn Status tested => verified
2016-10-20 15:13 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059465
2016-11-02 12:35 git Note Added: 0059763
2016-12-07 11:25 git Note Added: 0061206
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker